package http_model

type GetInvoiceRecordRequest struct {
	BillingAt string `json:"billing_at"`
}

type InvoiceRecordsPreviews struct {
	BillingId      string  `json:"billing_id"`
	Amount         float64 `json:"amount"`
	InvoiceType    string  `json:"invoice_type"`
	InvoiceInfo    string  `json:"invoice_info"`
	AddressInfo    string  `json:"address_info"`
	ShipmentNumber string  `json:"shipment_number"` // 物流单号
	BillingAt      string  `json:"billing_at"`
}

type InvoiceRecordsData struct {
	InvoiceRecordsPreviews []*InvoiceRecordsPreviews `json:"invoice_records_previews"`
	Total                  string                    `json:"total"`
}

func NewGetInvoiceRecordRequest() *GetInvoiceRecordRequest {
	return new(GetInvoiceRecordRequest)
}

func NewGetInvoiceRecordResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(InvoiceRecordsData)
	return resp
}
